Package org.apache.felix.http.base.internal.runtime

## Class FilterInfo

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.AbstractInfo<T>
  - - org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo<javax.servlet.Filter>
    - - org.apache.felix.http.base.internal.runtime.FilterInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<javax.servlet.Filter>>`

    public final class FilterInfo
    extends WhiteboardServiceInfo<javax.servlet.Filter>

Provides registration information for a `Filter`, and is used to programmatically register `Filter`s.

This class only provides information used at registration time, and as such differs slightly from `DTO`s like, `FilterDTO`.

### Constructor Summary

Constructors
`FilterInfo​(org.osgi.framework.ServiceReference<javax.servlet.Filter> ref)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.servlet.DispatcherType[]` `getDispatcher()`
`Map<String,​String>` `getInitParameters()` Returns an immutable map of the init parameters.
`String` `getName()`
`String[]` `getPatterns()`
`String[]` `getRegexs()`
`String[]` `getServletNames()`
`boolean` `isAsyncSupported()`
`boolean` `isSame​(AbstractInfo<javax.servlet.Filter> other)` Compare two info objects
`boolean` `isValid()`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo

`getContextSelection, getContextSelectionFilter`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterInfo

    public FilterInfo​(org.osgi.framework.ServiceReference<javax.servlet.Filter> ref)

### Method Detail

#### isValid

    public boolean isValid()

Overrides:
  `isValid` in class `WhiteboardServiceInfo<javax.servlet.Filter>`

#### getName

    public String getName()

#### getPatterns

    public String[] getPatterns()

#### getServletNames

    public String[] getServletNames()

#### getRegexs

    public String[] getRegexs()

#### isAsyncSupported

    public boolean isAsyncSupported()

#### getDispatcher

    public javax.servlet.DispatcherType[] getDispatcher()

#### getInitParameters

    public Map<String,​String> getInitParameters()

Returns an immutable map of the init parameters.

#### isSame

    public boolean isSame​(AbstractInfo<javax.servlet.Filter> other)

Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `WhiteboardServiceInfo<javax.servlet.Filter>`